-- Scriptfile to upgrade tablespaces on DB2 z/OS v8
------------------------------------------------------------------------
-- Process this script in the DB2 command line processor
-- example: db2 -tf upgradeSchema602_customization.sql

-- *******************************************
-- Create the CUSTPROPERTIES table 
-- *******************************************

CREATE TABLE @SCHEMA@.CUSTPROPERTIES
  (PROPERTYID VARCHAR (128) NOT NULL,
   ARTIFACTTNS VARCHAR(250) NOT NULL,
   ARTIFACTNAME VARCHAR(200) NOT NULL,
   ARTIFACTTYPE VARCHAR(50) NOT NULL,
   PNAME VARCHAR(250) NOT NULL,
   PVALUE VARCHAR(250) NOT NULL,
   PTYPE VARCHAR (16) NOT NULL,
   CONSTRAINT PK_CUSTPROPERTIES PRIMARY KEY (PROPERTYID) )
   IN @DB_NAME@.APTIMETS;

CREATE UNIQUE INDEX @SCHEMA@.CUSTPROP0_PK
 ON @SCHEMA@.CUSTPROPERTIES (PROPERTYID)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;

CREATE INDEX @SCHEMA@.CUSTPROP1_PK
 ON @SCHEMA@.CUSTPROPERTIES (ARTIFACTTYPE, ARTIFACTTNS)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;

CREATE INDEX @SCHEMA@.CUSTPROP2_PK
 ON @SCHEMA@.CUSTPROPERTIES (ARTIFACTTYPE, ARTIFACTNAME)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;
      
CREATE INDEX @SCHEMA@.CUSTPROP3_PK
 ON @SCHEMA@.CUSTPROPERTIES (ARTIFACTTYPE, ARTIFACTNAME, ARTIFACTTNS)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;      
  
CREATE INDEX @SCHEMA@.CUSTPROP4_PK
 ON @SCHEMA@.CUSTPROPERTIES (ARTIFACTTYPE, PNAME)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;        
           
CREATE INDEX @SCHEMA@.CUSTPROP5_PK
 ON @SCHEMA@.CUSTPROPERTIES (ARTIFACTTYPE, ARTIFACTTNS, PNAME)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;                  
